Package io.vertx.mqtt.messages.codes

## Enum MqttPubRecReasonCode

- java.lang.Object
- - java.lang.Enum<MqttPubRecReasonCode>
  - - io.vertx.mqtt.messages.codes.MqttPubRecReasonCode

- All Implemented Interfaces:
    `MqttReasonCode`, `Serializable`, `Comparable<MqttPubRecReasonCode>`

      public enum MqttPubRecReasonCode
      extends Enum<MqttPubRecReasonCode>
      implements MqttReasonCode

  Reason codes for PUBREC MQTT message

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `IMPLEMENTATION_SPECIFIC_ERROR` |
    `NO_MATCHING_SUBSCRIBERS` |
    `NOT_AUTHORIZED` |
    `PACKET_IDENTIFIER_IN_USE` |
    `PAYLOAD_FORMAT_INVALID` |
    `QUOTA_EXCEEDED` |
    `SUCCESS` |
    `TOPIC_NAME_INVALID` |
    `UNSPECIFIED_ERROR` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isError()` |
    `byte` | `value()` |
    `static MqttPubRecReasonCode` | `valueOf​(byte b)` | Returns the enum constant of this type with the specified name.
    `static MqttPubRecReasonCode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static MqttPubRecReasonCode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final MqttPubRecReasonCode SUCCESS

    - #### NO_MATCHING_SUBSCRIBERS

          public static final MqttPubRecReasonCode NO_MATCHING_SUBSCRIBERS

    - #### UNSPECIFIED_ERROR

          public static final MqttPubRecReasonCode UNSPECIFIED_ERROR

    - #### IMPLEMENTATION_SPECIFIC_ERROR

          public static final MqttPubRecReasonCode IMPLEMENTATION_SPECIFIC_ERROR

    - #### NOT_AUTHORIZED

          public static final MqttPubRecReasonCode NOT_AUTHORIZED

    - #### TOPIC_NAME_INVALID

          public static final MqttPubRecReasonCode TOPIC_NAME_INVALID

    - #### PACKET_IDENTIFIER_IN_USE

          public static final MqttPubRecReasonCode PACKET_IDENTIFIER_IN_USE

    - #### QUOTA_EXCEEDED

          public static final MqttPubRecReasonCode QUOTA_EXCEEDED

    - #### PAYLOAD_FORMAT_INVALID

          public static final MqttPubRecReasonCode PAYLOAD_FORMAT_INVALID

  - ### Method Detail

    - #### values

          public static MqttPubRecReasonCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MqttPubRecReasonCode c : MqttPubRecReasonCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MqttPubRecReasonCode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public byte value()

      Specified by:
        `value` in interface `MqttReasonCode`

    - #### isError

          public boolean isError()

      Specified by:
        `isError` in interface `MqttReasonCode`

    - #### valueOf

          public static MqttPubRecReasonCode valueOf​(byte b)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `b` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null